#!/bin/sh
#
# Shell script to install Java-based GUI RAID Manager.

cd ..
SRCDIR=`pwd`
OSDIR=${SRCDIR}/aix
COMDIR=${SRCDIR}/common

if [ ! -r /usr/.path.ori ]; then
   echo "`echo $PATH`" > /usr/.path.ori
fi

# Set path for JRE
export PATH; PATH=/usr/java_dev2/jre/sh:$PATH

more << "EOF"

	*************************************************************
             Java-based GUI RAID Manager Installation Procedure
        *************************************************************

SECTION I : In-band SCSI Driver Installation

*NOTE: 1.You need to install in-band driver before you can manage stand-alone 
         RAID controller.

       2.To check to see if the in-band driver has already been installed, Please
         type "lsdev -C -c dasc -H" on command line to verify it.

EOF

echo "Would you like to install In-band SCSI Driver now?"
agreed=
while [ x$agreed = x ]; do
   echo "Please type yes or no."
   read reply
   case $reply in
      y* | Y*)
         cp -f ${OSDIR}/dascadd/cfgdasc.ori /usr/lib/methods/cfgdasc;
         cp -f ${OSDIR}/dascadd/dasc.add /usr/lib/methods/;
         cp -f ${OSDIR}/dascadd/dasc.cat /usr/lib/methods/;
         cp -f ${OSDIR}/dascadd/dasc_uty.ori /usr/lib/methods/dasc_uty;
         cp -f ${OSDIR}/dascadd/defdasc.ori /usr/lib/methods/defdasc;
         cp -f ${OSDIR}/dascadd/readme.ori /usr/lib/methods/readme;
         cp -f ${OSDIR}/dascadd/startdas.ori /usr/lib/methods/startdasc;
         cp -f ${OSDIR}/dascadd/ucfgdasc.ori /usr/lib/methods/ucfgdasc;
         cp -f ${OSDIR}/dasc/dasc.ori /usr/lib/drivers/dasc;
         echo 
         echo "It may take a few seconds to install in-band driver. Please wait...";
         echo
         odmadd ${OSDIR}/dascadd/dasc.add;
         mkdev -c dasc -s node -t dasc;
         echo "Install In-band SCSI Driver Finished!";
         agreed=1;;
      n* | N*)
         echo 
         echo "Install In-band SCSI Driver Canceled!";
         agreed=1;;
   esac
done      

more << "EOF"

--------------------------------------------------------------------------------
SECTION II : Java-based GUI RAID Manager Installation

*NOTE:

   1.Before you go to Java-based GUI RAID Manager installation procedure, you should have:

     1)Installed OS patches for JRE(Java Runtime Enviroment) and Java Plug-in.

     2)Installed JRE v1.2 or above.

     3)Installed Java Plug-in v1.2 or above.

   2.To install and configure Java-based GUI RAID Manager successfully,
     We highly recommend you refer to INSTALLATION GUIDE in advance.
       
EOF

# Install .java.policy and .keystore
cp -f ${COMDIR}/policy.jav ${HOME}/.java.policy > /dev/null 2>&1
cp -f ${COMDIR}/keystore.jav ${HOME}/.keystore > /dev/null 2>&1

echo "Would you like to install Java-based GUI RAID Manager now?"
agreed=
while [ x$agreed = x ]; do
    echo "Please type yes or no."
    read reply 
    case $reply in
       y* | Y*)
          cd $COMDIR; 
          java -Djava.compiler="" -cp ${COMDIR}/install.jar Install > /dev/null 2>&1;
          if [ -r /usr/.iftgui.ini -a -r /usr/.iftagent.ini ]; then
             if [ ! -r ${HOME}/.dtprofile.ori ]; then
                cp -f ${HOME}/.dtprofile ${HOME}/.dtprofile.ori
	     else
                cp -f ${HOME}/.dtprofile.ori ${HOME}/.dtprofile
             fi
	     echo "INSTALLERDIR=`cat /usr/.iftgui.ini`" > `cat /usr/.iftgui.ini`uninstal.sh
	     echo "`cat ${OSDIR}/uninstal.sh`" >> `cat /usr/.iftgui.ini`uninstal.sh
	     chmod +x `cat /usr/.iftgui.ini`uninstal.sh
	     echo "cd `cat /usr/.iftgui.ini`" > /usr/java_dev2/jre/sh/grm.sh
             echo "java -jar grm.jar > /dev/null 2>&1" >> /usr/java_dev2/jre/sh/grm.sh    
             chmod +x /usr/java_dev2/jre/sh/grm.sh 
	     echo "cd `cat /usr/.iftgui.ini`" > /usr/java_dev2/jre/sh/grem.sh
             echo "java -cp grm.jar:grem.jar grem.EvtWatch > /dev/null 2>&1" >> /usr/java_dev2/jre/sh/grem.sh    
             chmod +x /usr/java_dev2/jre/sh/grem.sh 
	     echo "export PATH; PATH=/usr/java_dev2/jre/sh:`cat /usr/.path.ori`:`cat /usr/.iftgui.ini`:`cat /usr/.iftagent.ini`" > /usr/.ift.ini 
	     . /usr/.ift.ini
             cat /usr/.ift.ini >> ${HOME}/.dtprofile               
             secondary > /dev/null 2>&1
	     primary > /dev/null 2>&1
	     echo "secondary > /dev/null 2>&1" >> ${HOME}/.dtprofile
	     echo "primary > /dev/null 2>&1" >> ${HOME}/.dtprofile      
             rm -f /usr/.ift.ini > /dev/null 2>&1;
             rm -f /usr/.iftagent.ini > /dev/null 2>&1;
             rm -f /usr/.iftgui.ini > /dev/null 2>&1;	
             echo "Install Java-based GUI RAID Manager Finished!";
	  elif [ -r /usr/.iftgui.ini ]; then
             if [ ! -r ${HOME}/.dtprofile.ori ]; then
                cp -f ${HOME}/.dtprofile ${HOME}/.dtprofile.ori
	     else
                cp -f ${HOME}/.dtprofile.ori ${HOME}/.dtprofile
             fi
	     echo "INSTALLERDIR=`cat /usr/.iftgui.ini`" > `cat /usr/.iftgui.ini`uninstal.sh
	     echo "`cat ${OSDIR}/uninstal.sh`" >> `cat /usr/.iftgui.ini`uninstal.sh
	     chmod +x `cat /usr/.iftgui.ini`uninstal.sh
	     echo "cd `cat /usr/.iftgui.ini`" > /usr/java_dev2/jre/sh/grm.sh
             echo "java -jar grm.jar > /dev/null 2>&1" >> /usr/java_dev2/jre/sh/grm.sh    
             chmod +x /usr/java_dev2/jre/sh/grm.sh 
	     echo "cd `cat /usr/.iftgui.ini`" > /usr/java_dev2/jre/sh/grem.sh
             echo "java -cp grm.jar:grem.jar grem.EvtWatch > /dev/null 2>&1" >> /usr/java_dev2/jre/sh/grem.sh    
             chmod +x /usr/java_dev2/jre/sh/grem.sh 
	     echo "export PATH; PATH=/usr/java_dev2/jre/sh:`cat /usr/.path.ori`:`cat /usr/.iftgui.ini`" > /usr/.ift.ini 
	     . /usr/.ift.ini
             cat /usr/.ift.ini >> ${HOME}/.dtprofile               
             rm -f /usr/.ift.ini > /dev/null 2>&1;
             rm -f /usr/.iftgui.ini > /dev/null 2>&1;	
             echo "Install Java-based GUI RAID Manager Finished!";
	  elif [ -r /usr/.iftagent.ini ]; then
             if [ ! -r ${HOME}/.dtprofile.ori ]; then
                cp -f ${HOME}/.dtprofile ${HOME}/.dtprofile.ori
	     else
                cp -f ${HOME}/.dtprofile.ori ${HOME}/.dtprofile
             fi
	     echo "INSTALLERDIR=`cat /usr/.iftagent.ini`" > `cat /usr/.iftagent.ini`uninstal.sh
	     echo "`cat ${OSDIR}/uninstal.sh`" >> `cat /usr/.iftagent.ini`uninstal.sh
	     chmod +x `cat /usr/.iftagent.ini`uninstal.sh
	     echo "export PATH; PATH=/usr/java_dev2/jre/sh:`cat /usr/.path.ori`:`cat /usr/.iftagent.ini`" > /usr/.ift.ini 
	     . /usr/.ift.ini
             cat /usr/.ift.ini >> ${HOME}/.dtprofile               
             secondary > /dev/null 2>&1
	     primary > /dev/null 2>&1
	     echo "secondary > /dev/null 2>&1" >> ${HOME}/.dtprofile
	     echo "primary > /dev/null 2>&1" >> ${HOME}/.dtprofile      
             rm -f /usr/.ift.ini > /dev/null 2>&1;
             rm -f /usr/.iftagent.ini > /dev/null 2>&1;
	     echo "Install Java-based GUI RAID Manager Finished!";
          else
             echo "Install Java-based GUI RAID Manager Canceled!";
	  fi
	  agreed=1;;
       n* | N*)
          echo "Install Java-based GUI RAID Manager Canceled!";
          agreed=1;;
    esac
done
