#!/bin/sh
#
# Shell script to install Java-based GUI RAID Manager.
 
cd ..
SRCDIR=`pwd`
OSDIR=${SRCDIR}/solaris7.x86
COMDIR=${SRCDIR}/common

if [ ! -r /usr/.path.ori ]; then
   echo "`echo $PATH`" > /usr/.path.ori
fi

# Set path for JRE
export PATH; PATH=/usr/Solaris_JRE_1.2.1_03/bin:$PATH

more << "EOF"

        *************************************************************
             Java-based GUI RAID Manager Installation Procedure
        *************************************************************

SECTION I : Pre-Installation (Patches Installation)

*NOTE: Before you can install JRE v1.2 (Java Runtime Enviroment) successfully, you should have installed patches for Solaris 7 .

!!! PLEASE DOWNLOAD THE PATCHES REQUIRED FROM SUN'S WEB SITE, AND INSTALL IT !!!

EOF

echo "If you have downloaded patches, and put them on proper directory, install program will install patches for you."
echo
echo "Would you like to auto-install the patches now ?"
echo
echo "*NOTE: 1.You need to download patches tar file in advance."
echo "       2.Then, put the tar file on \"/usr/patches/\" ."
echo
agreed=
while [ x$agreed = x ]; do
    echo "Please type yes or no."
    read reply 
    case $reply in
       y* | Y*)
          mkdir -p /usr/patches 
          echo 
          echo "You are going to install patches now."
          echo "Please check to see if the patches tar file is on \"/usr/patches/\" ."
          echo
          echo "Would you like to continue ?"
          agreed=
          while [ x$agreed = x ]; do
             echo "Please type yes or no."
             read reply
             case $reply in
                y* | Y*)
                   echo
                   echo "Start to install patches ..."
                   echo
                   cd /usr/patches
                   mkdir -p tarfile
                   for file in *.tar  
                   do
                      tar -xvf $file
                   done   
                   if [ ! -d 5.7 ]; then
                      echo
                      echo "patches tar file doesn't exist !"
                      echo
                      echo "Patches installation failed !"
                      exit 1
                   fi   
                   cd 5.7
                   for file in *.Z
                   do
                      uncompress $file
                   done
                   for file in *.tar
                   do 
                      tar -xvf $file
                      mv $file ../tarfile
                   done
                   for file in *
                   do
                      patchadd $file
                   done  
                   rm -fr /usr/patches/tarfile > /dev/null 2>&1
                   rm -fr /usr/patches/5.7 > /dev/null 2>&1
                   echo         
                   echo "Patches installation finished."                   
                   echo
                   agreed=1;;
                n* | N*)
                   exit 0;;
             esac
          done                          
          agreed=1;;
       n* | N*)
          echo
          echo "Please make sure you have installed patches for Solaris 7 ."
          echo "Then, you may step into JRE v1.2 installation procedure."
          echo
          echo "Would you like to continue ?"
          agreed=
          while [ x$agreed = x ]; do
             echo "Please type yes or no."
             read reply
             case $reply in
                y* | Y*)
                   agreed=1;;
                n* | N*)
                   exit 0;;
             esac
          done                          
          agreed=1;;
    esac
done

more << "EOF"
------------------------------------------------------------------------------------

SECTION II : JRE v1.2 Installation

*NOTE: Before you can run Java-based program successfully, you should have
       installed JRE(Java Runtime Enviroment). 
         
EOF
  
echo "Would you like to install JRE v1.2 now ?"
agreed=
while [ x$agreed = x ]; do
    echo "Please type yes or no."
    read reply 
    case $reply in
       y* | Y*)
          cd /usr
          ${OSDIR}/jre2.bin;
          agreed=1;;
       n* | N*)
          echo "Install JRE v1.2 Canceled !"
          agreed=1;;
    esac
done

# Add path for JRE 
PATH=/usr/Solaris_JRE_1.2.1_03/bin:`cat /usr/.path.ori`; export PATH

more << "EOF"

-----------------------------------------------------------------------------
SECTION III : Java Plug-in v1.2 Installation

*NOTE: If you would like to run Java-based GUI RAID Manager through web
       browser(e.g. Netscape Navigator), you should have install Java Plug-
       in. 

EOF
 
echo "Would you like to install Java Plug-in v1.2 now ?"
agreed=
while [ x$agreed = x ]; do
    echo "Please type yes or no."
    read reply 
    case $reply in
       y* | Y*)
          cd /usr
          tar -xvf ${OSDIR}/j2pi.tar
          pkgadd -d . SUNWj2pi
          rm -f SUNWj2pi > /dev/null 2>&1
          agreed=1;;
       n* | N*)
          echo "Install Java Plug-in v1.2 Canceled !" 
          agreed=1;;
    esac
done

# Install .java.policy & .keystore
(cp -f ${COMDIR}/keystore.jav ${HOME}/.keystore) > /dev/null 2>&1
(cp -f ${COMDIR}/policy.jav ${HOME}/.java.policy) > /dev/null 2>&1

more << "EOF"

----------------------------------------------------------------------------
SECTION IV : Java-based GUI RAID Manager Installation

*NOTE: To install and configure Java-based GUI RAID Manager successfully,
       We highly recommend you refer to INSTALLATION GUIDE in advance.

EOF
 
echo "Would you like to install Java-based GUI RAID Manager now?"
agreed=
while [ x$agreed = x ]; do
    echo "Please type yes or no."
    read reply 
    case $reply in
       y* | Y*)
	      if [ -r /usr/.ift.ini ]; then
		     echo "Please remove previous installation!"
		     return
	      fi
          cd $COMDIR; 
          /usr/Solaris_JRE_1.2.1_03/bin/java -Djava.compiler="" -cp ${COMDIR}/install.jar Install > /dev/null 2>&1;
          if [ -r /usr/.iftgui.ini -a -r /usr/.iftagent.ini ]; then
             if [ ! -r ${HOME}/.dtprofile.ori ]; then
                cp -f ${HOME}/.dtprofile ${HOME}/.dtprofile.ori
	         else
                cp -f ${HOME}/.dtprofile.ori ${HOME}/.dtprofile
             fi
             echo "`cat /usr/.iftagent.ini`secondary > /dev/null 2>&1" > /etc/.iftraidagent
             echo "`cat /usr/.iftagent.ini`primary > /dev/null 2>&1" >> /etc/.iftraidagent      
             chmod +x /etc/.iftraidagent
             if [ ! -r /etc/inittab.ori ]; then
                cp -f /etc/inittab /etc/inittab.ori
             else
                cp -f /etc/inittab.ori /etc/inittab
             fi
             echo "ift::boot:/etc/.iftraidagent" >> /etc/inittab
             echo "INSTALLERDIR=`cat /usr/.iftgui.ini`" > `cat /usr/.iftgui.ini`uninstal.sh
             echo "`cat ${OSDIR}/uninstal.sh`" >> `cat /usr/.iftgui.ini`uninstal.sh
             chmod +x `cat /usr/.iftgui.ini`uninstal.sh 
             echo "cd `cat /usr/.iftgui.ini`" > /usr/bin/grm.sh		
             echo "/usr/Solaris_JRE_1.2.1_03/bin/java -jar grm.jar > /dev/null 2>&1" >> /usr/bin/grm.sh    
             chmod +x /usr/bin/grm.sh 
             echo "cd `cat /usr/.iftgui.ini`" > /usr/bin/grem.sh		
             echo "/usr/Solaris_JRE_1.2.1_03/bin/java -cp grem.jar:grm.jar grem.EvtWatch > /dev/null 2>&1" >> /usr/bin/grem.sh    
             chmod +x /usr/bin/grem.sh 
             echo "export PATH; PATH=/usr/Solaris_JRE_1.2.1_03/bin:`cat /usr/.path.ori`:`cat /usr/.iftgui.ini`:`cat /usr/.iftagent.ini`" > /usr/.ift.ini        
             . /usr/.ift.ini
             cat /usr/.ift.ini >> ${HOME}/.dtprofile               
             secondary > /dev/null 2>&1
             primary > /dev/null 2>&1
#             rm -f /usr/.ift.ini > /dev/null 2>&1
             rm -f /usr/.iftagent.ini > /dev/null 2>&1
             rm -f /usr/.iftgui.ini > /dev/null 2>&1       
             echo "Install Java-based GUI RAID Manager Finished!";
          elif [ -r /usr/.iftgui.ini ]; then
             if [ ! -r ${HOME}/.dtprofile.ori ]; then
                cp -f ${HOME}/.dtprofile ${HOME}/.dtprofile.ori
	         else
                cp -f ${HOME}/.dtprofile.ori ${HOME}/.dtprofile
             fi
             echo "INSTALLERDIR=`cat /usr/.iftgui.ini`" > `cat /usr/.iftgui.ini`uninstal.sh
             echo "`cat ${OSDIR}/uninstal.sh`" >> `cat /usr/.iftgui.ini`uninstal.sh
             chmod +x `cat /usr/.iftgui.ini`uninstal.sh 
             echo "cd `cat /usr/.iftgui.ini`" > /usr/bin/grm.sh		
             echo "/usr/Solaris_JRE_1.2.1_03/bin/java -jar grm.jar > /dev/null 2>&1" >> /usr/bin/grm.sh    
             chmod +x /usr/bin/grm.sh 
             echo "cd `cat /usr/.iftgui.ini`" > /usr/bin/grem.sh		
             echo "/usr/Solaris_JRE_1.2.1_03/bin/java -cp grem.jar:grm.jar grem.EvtWatch > /dev/null 2>&1" >> /usr/bin/grem.sh    
             chmod +x /usr/bin/grem.sh 
             echo "export PATH; PATH=/usr/Solaris_JRE_1.2.1_03/bin:`cat /usr/.path.ori`:`cat /usr/.iftgui.ini`" > /usr/.ift.ini        
             . /usr/.ift.ini
             cat /usr/.ift.ini >> ${HOME}/.dtprofile               
#             rm -f /usr/.ift.ini > /dev/null 2>&1
             rm -f /usr/.iftgui.ini > /dev/null 2>&1       
             echo "Install Java-based GUI RAID Manager Finished!";
	      elif [ -r /usr/.iftagent.ini ]; then
             if [ ! -r ${HOME}/.dtprofile.ori ]; then
                cp -f ${HOME}/.dtprofile ${HOME}/.dtprofile.ori
	         else
                cp -f ${HOME}/.dtprofile.ori ${HOME}/.dtprofile
             fi
             echo "`cat /usr/.iftagent.ini`secondary > /dev/null 2>&1" > /etc/.iftraidagent
             echo "`cat /usr/.iftagent.ini`primary > /dev/null 2>&1" >> /etc/.iftraidagent      
             chmod +x /etc/.iftraidagent
             if [ ! -r /etc/inittab.ori ]; then
                cp -f /etc/inittab /etc/inittab.ori
             else
                cp -f /etc/inittab.ori /etc/inittab
             fi
             echo "ift::boot:/etc/.iftraidagent" >> /etc/inittab
             echo "INSTALLERDIR=`cat /usr/.iftagent.ini`" > `cat /usr/.iftagent.ini`uninstal.sh
             echo "`cat ${OSDIR}/uninstal.sh`" >> `cat /usr/.iftagent.ini`uninstal.sh
             chmod +x `cat /usr/.iftagent.ini`uninstal.sh 
             echo "export PATH; PATH=/usr/Solaris_JRE_1.2.1_03/bin:`cat /usr/.path.ori`:`cat /usr/.iftagent.ini`" > /usr/.ift.ini        
             . /usr/.ift.ini
             cat /usr/.ift.ini >> ${HOME}/.dtprofile               
             secondary > /dev/null 2>&1
             primary > /dev/null 2>&1
#             rm -f /usr/.ift.ini > /dev/null 2>&1
             rm -f /usr/.iftagent.ini > /dev/null 2>&1
             echo "Install Java-based GUI RAID Manager Finished!";
          else
             echo "Install Java-based GUI RAID Manager Canceled!";	   
          fi
          agreed=1;;
       n* | N*)
          echo "Install Java-based GUI RAID Manager Canceled!";
          agreed=1;;
    esac
done
more << "EOF"

----------------------------------------------------------------------------
SECTION V : In-band SCSI Driver Installation

*NOTE: You need to install inband driver before you can manage stand-alone RAID controller.

EOF
 
echo "Would you like to install In-band SCSI Driver now ?"
agreed=
while [ x$agreed = x ]; do
    echo "Please type yes or no."
    read reply 
    case $reply in
       y* | Y*)
          cp -f ${OSDIR}/dasc32/dasc.ori /usr/kernel/drv/dasc > /dev/null 2>&1
          cp -f ${OSDIR}/dasc32/dasc.con /usr/kernel/drv/dasc.conf > /dev/null 2>&1
          ${OSDIR}/dasc32/dascinst.sh
		  cp -f ${OSDIR}/uninband.sh /usr/bin/ > /dev/null 2>&1
          echo
          echo "Install In-band SCSI Driver Finished !";
          echo 
#          echo "!!! You need to restart system to get In-band SCSI Driver started !!!"
          agreed=1;;
       n* | N*)
          echo "Install In-band SCSI Driver canceled !";
          agreed=1;;
    esac
done
